default:
  image: python:3-slim

stages:
  - test
  - build
  - publish
  - deploy

test:
  stage: test
  image: 
    name: apache/airflow:2.1.2
    entrypoint: [""]
  before_script:
    - airflow db init
    - pip install -r requirements.txt
    - pip install nose==1.3.7
    - airflow connections add --conn-uri https://b2share-testing.fz-juelich.de/ default_b2share
  script: 
   - ls 
   - pwd
   - cp dags/* /opt/airflow/dags/
   - airflow dags list 
   - airflow connections list
   - airflow dags test firsto 2021-08-18
   - nosetests

